メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt

Use this file to discover all available pages before exploring further.

特定のモデルのメタデータを Google Gemini API 形式で返します。

パスパラメータ

model
string
必須
モデル名 (例: gemini-2.5-pro, gemini-2.5-flash)。エイリアスも受け入れられます。

認証

公開モデルメタデータ取得エンドポイントでは認証は不要です。

レスポンス

name
string
models/{model} 形式のモデルリソース名。
displayName
string
人間が読みやすいモデル名。
inputTokenLimit
integer
最大入力トークン数(コンテキストウィンドウ)。
outputTokenLimit
integer
最大出力トークン数。
supportedGenerationMethods
array
サポートされている生成メソッドのリスト (例: generateContent, countTokens, embedContent)。
version
string
利用可能な場合の公開バージョン文字列。
description
string
利用可能な場合の人間が読めるモデル説明。
temperature
number
上流で公開されている場合のデフォルト temperature。
topP
number
利用可能な場合のデフォルト top-p 値。
topK
integer
利用可能な場合のデフォルト top-k 値。
maxTemperature
number
利用可能な場合の最大サポート temperature。

エラー

  • :generateContent または :streamGenerateContent を誤って含む GET は 405 METHOD_NOT_ALLOWED を返します。
  • モデルが見つからない場合は 404 NOT_FOUND を返します。
curl "https://api.tokenlab.sh/v1beta/models/gemini-2.5-pro"
{
  "name": "models/gemini-2.5-pro",
  "version": "1.0",
  "displayName": "gemini-2.5-pro",
  "description": "gemini-2.5-pro model available via TokenLab",
  "inputTokenLimit": 1048576,
  "outputTokenLimit": 65536,
  "supportedGenerationMethods": ["generateContent", "countTokens"],
  "temperature": 1.0,
  "topP": 0.95,
  "topK": 40,
  "maxTemperature": 2.0
}